Bug 612349 - "XError: BadRequest (invalid request code or no such operation)" running pychess-0.10-0.5.20100511hg.fc13
"XError: BadRequest (invalid request code or no such operation)" running pych...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:92eed3558f23d6f775184cefc4f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 19:19 EDT by Ameya Gore
Modified: 2011-06-29 09:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (192.57 KB, text/plain)
2010-07-07 19:19 EDT, Ameya Gore
no flags Details

  None (edit)
Description Ameya Gore 2010-07-07 19:19:39 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/pychess
comment: I rotated the chess board.
component: pychess
crash_function: raise
executable: /usr/bin/python
global_uuid: 92eed3558f23d6f775184cefc4f81c6717215e59
kernel: 2.6.33.5-124.fc13.i686.PAE
package: pychess-0.10-0.5.20100511hg.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 Ameya Gore 2010-07-07 19:19:43 EDT
Created attachment 430198 [details]
File: backtrace
Comment 2 Thomas Spura 2010-07-08 04:17:42 EDT
Thanks for the bug report,

it seems, lately, there are many crashes that look similar like this, which indicate a python internal problem...

How relyable can you reproduce this?

Does it happen always, when you rotate the chess board?
(I couldn't reproduce this now...)


Dave, sorry, for forwarding again...
Comment 3 Dave Malcolm 2010-07-08 10:26:23 EDT
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q pygtk2 gtk2

Looking at the backtrace, it looks like a SIGABRT happened in frame 5 of thread #1 inside gdk_x_error:
   BadRequest (invalid request code or no such operation)

Reassigning component from "python" to "gtk2";  hopefully the gtk2 maintainer will be able to figure this out further or reassign as necessary.
Comment 4 Ameya Gore 2010-07-08 12:56:01 EDT
I could not reproduce the bug. But I deleted all pychess config files and started pychess from terminal.

$ rm -rf .cache/pychess/
$ rm -rf .config/pychess/
$ rm -rf .local/share/pychess/

$ pychess
no stock_draw-rounded-square-unfilled icon in icon-theme-gnome
no stock_draw-rounded-square icon in icon-theme-gnome
/usr/lib/python2.6/site-packages/pychess/System/uistuff.py:374: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.glade = gtk.glade.XML(addDataPrefix("glade/%s" % filename))
09:41:01 ('Python', '09:07:1.017') Warning: Chan closed for 'nopost'
09:41:01 ('Python', '09:07:1.017') Warning: Chan closed for '\n'
09:41:30 Default Warning: Chatpanel loaded with two local players

When I load a pgn file, pychess is starts using above 98% cpu continuously. Its not crashing now.

$ rpm -q pygtk2 gtk2
pygtk2-2.17.0-3.fc13.i686
gtk2-2.20.1-1.fc13.i686

Please reply if you want me do any specific test cases?
Comment 5 Bug Zapper 2011-06-01 10:29:26 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 09:51:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.